Get your filters and the shared filters of your open projects. Your own filters are listed whatever their department. A filter of someone else linked to a department is listed only if you are in this department or if you are a manager or an administrator. The response is an object. The first key is the list type. The second key is the project identifier, or all for the filters without project.
GET
/data/user/filters
curl
curl -X GET "http://api.example.com/data/user/filters" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json"
import requests
url = "http://api.example.com/data/user/filters"
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json"
}
params = {}
payload = None
response = requests.get(
url,
headers=headers,
params=params,
json=payload
)
response.raise_for_status()
if response.content:
print(response.json())
Response examples (200)
{
"additionalProperty1": {
"additionalProperty1": [
{
"id": "a24a6ea4-ce75-4665-a070-57453082c250",
"name": "My Filter",
"query": "{\"project_id\": \"uuid\"}",
"list_type": "todo",
"entity_type": "Asset",
"project_id": "b35b7fb5-df86-5776-b181-68564193d360",
"is_shared": false,
"created_at": "2023-01-01T12:00:00Z",
"updated_at": "2023-01-01T12:30:00Z"
}
],
"additionalProperty2": [
{
"id": "a24a6ea4-ce75-4665-a070-57453082c250",
"name": "My Filter",
"query": "{\"project_id\": \"uuid\"}",
"list_type": "todo",
"entity_type": "Asset",
"project_id": "b35b7fb5-df86-5776-b181-68564193d360",
"is_shared": false,
"created_at": "2023-01-01T12:00:00Z",
"updated_at": "2023-01-01T12:30:00Z"
}
]
},
"additionalProperty2": {
"additionalProperty1": [
{
"id": "a24a6ea4-ce75-4665-a070-57453082c250",
"name": "My Filter",
"query": "{\"project_id\": \"uuid\"}",
"list_type": "todo",
"entity_type": "Asset",
"project_id": "b35b7fb5-df86-5776-b181-68564193d360",
"is_shared": false,
"created_at": "2023-01-01T12:00:00Z",
"updated_at": "2023-01-01T12:30:00Z"
}
],
"additionalProperty2": [
{
"id": "a24a6ea4-ce75-4665-a070-57453082c250",
"name": "My Filter",
"query": "{\"project_id\": \"uuid\"}",
"list_type": "todo",
"entity_type": "Asset",
"project_id": "b35b7fb5-df86-5776-b181-68564193d360",
"is_shared": false,
"created_at": "2023-01-01T12:00:00Z",
"updated_at": "2023-01-01T12:30:00Z"
}
]
}
}